
from app import db
from flask import jsonify, make_response
def handle_db_commit(data, action_type='action'):
    message_type = {
        'create' : 'Device added successfully',
        'update' : 'Device updated successfully',
        'delete' : 'Device Deleted successfully'
    }
    try:
        if action_type == 'create':
            db.session.add(data)
        elif action_type == 'delete':
            db.session.delete(data)
        db.session.commit()
        message = message_type.get(action_type, 'successfully')
        return make_response(jsonify({'message':message, 'status':'Success'}), 200)
    except Exception as e:
        db.session.rollback()
        return make_response(jsonify({'message':str(e), 'status':'error'}), 500)
def paginated_query(query, page, per_page):
    paginated = query.paginate(page=page, per_page=per_page, error_out=False)
    data = {
        'total_count': paginated.total,
        'total_pages': paginated.pages,
        'start_index': (page - 1) * per_page + 1,
        'end_index': min(page * per_page, paginated.total),
        'page': page,
        'per_page': per_page
    }
    return paginated.items, data
def serialized_device(device, zone_name_value, patient_name, room_name):
    return {
        'id': device.device_id,
        'zone_name': zone_name_value,
        'patient_name': patient_name,
        'room_name': room_name.room_name if room_name else "",
        'device_name': device.device_name,
        'device_mac_address': device.device_mac_address,
        'device_type_id': device.device_type_id,
        'x_coordinate': device.x_coordinate,
        'y_coordinate': device.y_coordinate
    }
